package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 分辨率(0.1920*1080,1.1366*768,2.1080*1920)枚举类
*
* @author zxfei
*/
public enum ResolutionEnum {
    R1920x1080(0, "1920*1080"),
    R1366x768(1, "1366*768"),
    R1080x1920(2, "1080*1920");
    private Integer value;
    private String desc;

    ResolutionEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ResolutionEnum getByValue(Integer value) {
        for (ResolutionEnum resolutionEnum : ResolutionEnum.values()) {
            if (resolutionEnum.getValue() == value) {
                return resolutionEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ResolutionEnum item : ResolutionEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}